GHSA-86fh-j58m-7pf5

Suggest an improvement
Source
https://github.com/advisories/GHSA-86fh-j58m-7pf5
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2021/11/GHSA-86fh-j58m-7pf5/GHSA-86fh-j58m-7pf5.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-86fh-j58m-7pf5
Aliases
Published
2021-11-23T17:57:14Z
Modified
2024-01-31T15:13:11Z
Severity
  • 9.8 (Critical) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS Calculator
Summary
Improper Privilege Management in Apache Ozone
Details

In Apache Ozone versions prior to 1.2.0, Initially generated block tokens are persisted to the metadata database and can be retrieved with authenticated users with permission to the key. Authenticated users may use them even after access is revoked.

References

Affected packages

Maven / org.apache.ozone:ozone-main

Package

Name
org.apache.ozone:ozone-main
View open source insights on deps.dev
Purl
pkg:maven/org.apache.ozone/ozone-main

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.2.0